Bug 1126595 - /etc/tmpfiles.d/clamav-milter.conf is wrong
Summary: /etc/tmpfiles.d/clamav-milter.conf is wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 20:55 UTC by Harald Reindl
Modified: 2018-01-25 07:14 UTC (History)
6 users (show)

Fixed In Version: clamav-0.99.2-18.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-25 07:14:53 UTC


Attachments (Terms of Use)

Description Harald Reindl 2014-08-04 20:55:58 UTC
first: 

/etc/tmpfiles.d/ is admin-area and /usr/lib/tmpfiles.d/ for packages
get out of my way with package shipped files

_______________________________________________________

second:

[root@testserver:~]$ cat /etc/tmpfiles.d/clamav-milter.conf
d /var/run/clamav-milter 0710 clamilt clamilt

chmod 0710 is a joke because even with "MilterSocketMode 0666" postfix has no access to the socket until one *manually* adds postfix to the group clamilt
_______________________________________________________

third:

/var/run is a symlink to /run
so all paths would be correct starting with /run in that context

Comment 1 Harald Reindl 2014-08-04 21:42:55 UTC
and BTW with clamd as "Type=forking" instead "Type=simple" start of the services is relieable instead a dumb "clamav-milter[1354]: Failed to initiate streaming/fdpassin" because clamd is still at init itself and "clamav-milter" don't recover from that which is really bad - it should start to accept connections after the TCP service of clamd responds

Comment 2 Fedora End Of Life 2015-05-29 12:33:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:56:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Sergio Monteiro Basto 2018-01-08 19:53:43 UTC
(In reply to Harald Reindl from comment #0)
> first: 
> 
> /etc/tmpfiles.d/ is admin-area and /usr/lib/tmpfiles.d/ for packages
> get out of my way with package shipped files
> 

already fixed : 

dnf repoquery -f /usr/lib/tmpfiles.d/clamav-milter.conf -q
clamav-milter-0:0.99.2-1.fc25.x86_64
clamav-milter-0:0.99.2-13.fc26.x86_64
dnf repoquery -f /etc/tmpfiles.d/clamav-milter.conf -q 

_______________________________________________________
> 
> second:
> 
> [root@testserver:~]$ cat /etc/tmpfiles.d/clamav-milter.conf
> d /var/run/clamav-milter 0710 clamilt clamilt
> 
> chmod 0710 is a joke because even with "MilterSocketMode 0666" postfix has
> no access to the socket until one *manually* adds postfix to the group
> clamilt


What you proposed ? to fix this [1] 

[1]
cat << EOF > $RPM_BUILD_ROOT%_tmpfilesdir/clamav-milter.conf
d %milterstatedir 0710 %milteruser %milteruser
EOF


> _______________________________________________________
> 
> third:
> 
> /var/run is a symlink to /run
> so all paths would be correct starting with /run in that context

fixed in next commits

Comment 5 Fedora Update System 2018-01-09 02:22:06 UTC
clamav-0.99.2-15.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc

Comment 6 Fedora Update System 2018-01-09 17:43:53 UTC
clamav-0.99.2-15.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc

Comment 7 Fedora Update System 2018-01-10 00:13:40 UTC
clamav-0.99.2-16.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc

Comment 8 Fedora Update System 2018-01-10 16:12:32 UTC
clamav-0.99.2-16.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc

Comment 9 Sergio Monteiro Basto 2018-01-11 19:42:11 UTC
@Harald 

> second:
> 
> [root@testserver:~]$ cat /etc/tmpfiles.d/clamav-milter.conf
> d /var/run/clamav-milter 0710 clamilt clamilt
> 
> chmod 0710 is a joke because even with "MilterSocketMode 0666" postfix has
> no access to the socket until one *manually* adds postfix to the group
> clamilt


What you proposed to fix this ?

we have 2 or 3 bug reports around the same subject  [1] this bug will be close soon , but I'd like to know your opinion in the other reports ... please and thanks. 


[1]
https://bugzilla.redhat.com/show_bug.cgi?id=1105888#c13
https://bugzilla.redhat.com/show_bug.cgi?id=787434
https://bugzilla.redhat.com/show_bug.cgi?id=1284253

Comment 10 Harald Reindl 2018-01-11 19:49:02 UTC
i don't care that much after 3 years in production but since it wasted time because it don't work out-of-the-box proper i reported it to save others time and you can find similar reports on the clamav mailing list for CentOS

Comment 11 Sergio Monteiro Basto 2018-01-11 19:54:12 UTC
I'm trying fix it this week , but some reports diverge in opinions ...

Comment 12 Fedora Update System 2018-01-12 02:52:06 UTC
clamav-0.99.2-17.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5e5ec6ca2

Comment 13 Fedora Update System 2018-01-12 03:07:41 UTC
clamav-0.99.2-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1713497ca1

Comment 14 Fedora Update System 2018-01-12 15:14:12 UTC
clamav-0.99.2-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1713497ca1

Comment 15 Fedora Update System 2018-01-12 15:51:41 UTC
clamav-0.99.2-17.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5e5ec6ca2

Comment 16 Fedora Update System 2018-01-17 21:37:11 UTC
clamav-0.99.2-18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a1f469c85

Comment 17 Fedora Update System 2018-01-17 21:40:05 UTC
clamav-0.99.2-18.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-11ba3bced1

Comment 18 Fedora Update System 2018-01-18 00:32:04 UTC
clamav-0.99.2-18.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-11ba3bced1

Comment 19 Fedora Update System 2018-01-18 02:12:11 UTC
clamav-0.99.2-18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a1f469c85

Comment 20 Fedora Update System 2018-01-25 07:14:53 UTC
clamav-0.99.2-18.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.